"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = _default;

var _fsExtra = _interopRequireDefault(require("fs-extra"));

var _path = _interopRequireDefault(require("path"));

var _inquirer = _interopRequireDefault(require("inquirer"));

var _log = _interopRequireDefault(require("../support/log"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function write(location) {
  const source = _path.default.resolve(_path.default.join(__dirname, '../stubs/config.js'));

  const stub = _fsExtra.default.readFileSync(source, 'utf-8');

  _fsExtra.default.ensureFileSync(location);

  _fsExtra.default.writeFileSync(location, stub);

  _log.default.info('File written to %s', location);
}

function _default(torchlight, options) {
  options = {
    path: 'torchlight.config.js',
    ...options
  };

  const location = _path.default.resolve(options.path);

  if (!_fsExtra.default.existsSync(location)) {
    return write(location);
  }

  const questions = [{
    type: 'confirm',
    name: 'overwrite',
    message: `Overwrite file at ${location}?`,
    default: false
  }];

  _inquirer.default.prompt(questions).then(answers => {
    if (answers.overwrite) {
      write(location);
    }
  });
}