"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _chalk = _interopRequireDefault(require("chalk"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

let silent = false;

function log(fn, args) {
  args = Array.from(args);

  if (!silent) {
    console.log(fn(args.shift()), ...args);
  }
}

function error() {
  log(_chalk.default.bold.bgRed, arguments);
}

function info() {
  log(_chalk.default.green, arguments);
}

function silence(silence = true) {
  silent = silence;
}

var _default = {
  error,
  info,
  silence
};
exports.default = _default;